| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Namespaces | Functions
softmax.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/fun/softmax.hpp>`
`#include <stan/math/rev/core.hpp>`
`#include <stan/math/prim/scal/err/check_nonzero_size.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions
Eigen::Matrix< var, Eigen::Dynamic, 1 > | stan::math::softmax (const Eigen::Matrix< var, Eigen::Dynamic, 1 > &alpha)
| Return the softmax of the specified Eigen vector. More...

## Variable Documentation

vari** alpha_

Definition at line 16 of file softmax.hpp.

const int idx_

Definition at line 19 of file softmax.hpp.

const int size_

Definition at line 18 of file softmax.hpp.

const double* softmax_alpha_

Definition at line 17 of file softmax.hpp.

[ Stan Home Page ] © 2011–2015, Stan Development Team.